#### D.6.20.7 is_reg

Procedure from library `sing.lib` (see sing_lib).

Usage:
  is_reg(f,id); f poly, id ideal or module

Return:
  1 if multiplication with f is injective modulo id, 0 otherwise

Note:
  Let R be the basering and id a submodule of R^n. The procedure checks injectivity of multiplication with f on R^n/id. The basering may be a quotient ring.

Example:

    LIB "sing.lib";
    ring r  = 32003,(x,y),ds;
    ideal i = x8,y8;
    ideal j = (x+y)^4;
    i       = intersect(i,j);
    poly f  = xy;
    is_reg(f,i);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.